﻿using System;
using WebSocketSharp;
using WebSocketSharp.Server;
using Tobii.Research;

namespace GazeWebSocketServer
{
    public class Program
    {
        public static void Main(string[] args)
        {
            ConfigurationData.InitializeUnexistingWithDefaults();
            ConfigurationData config = ConfigurationData.ParseToObject();

            var wssv = new WebSocketServer(config.WebSocketPort);
            GazeCoordinateBehavior behavior = new GazeCoordinateBehavior(config);
            wssv.AddWebSocketService(config.WebSocketEndpoint, () => behavior);

            wssv.Start();
            Console.ReadKey(true);
            wssv.Stop();
        }
    }
}